require "rollerblades/version"
require "rollerblades/routing"
require "rollerblades/utils"
require "rollerblades/dependencies"

module Rollerblades
  class Application
  	def call(env)
  		if env['PATH_INFO'] == '/favicon.ico'
				return [404, {'Content-Type' => 'text/html'}, []]
  		end

  		klass, act = get_controller_and_action(env)
  		contoller = klass.new(env)
  		text = contoller.send(act)
  		[200, {'Content-Type' => 'text/html'}, [text]]
  	end
  end

  class Controller
  	def initialize(env)
  		@env = env
  	end

  	def env
  		@env
  	end
  end
end
